-- Insert SQL Rules Here 
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
--Myouren Temple
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_HIJIRI',	'POLICY_CREATIVE_X',	'POLICY_SPIRITUAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_HIJIRI_CIV_IV'
	ELSE 'TXT_KEY_LEADER_HIJIRI' END) 
WHERE Type = 'LEADER_HIJIRI';

--Eirin Eientei
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_EIRIN',	'POLICY_INVENTIVE_X',	'POLICY_PHILOSOPHICAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_EIRIN_CIV_IV'
	ELSE 'TXT_KEY_LEADER_EIRIN' END) 
WHERE Type = 'LEADER_EIRIN';

--Evil Spirits
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_MIMA',	'POLICY_CHARISMATIC_X',	'POLICY_SPIRITUAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_MIMA_CIV_IV'
	ELSE 'TXT_KEY_LEADER_MIMA' END) 
WHERE Type = 'LEADER_MIMA';

--Squishy da je
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_MARISA',	'POLICY_INVENTIVE_X',	'POLICY_AGGRESSIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_MARISA_CIV_IV'
	ELSE 'TXT_KEY_LEADER_MARISA' END) 
WHERE Type = 'LEADER_MARISA';

--Team 9
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_CIRNO',	'POLICY_IMPERIALISTIC_X',	'POLICY_PROTECTIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_CIRNO_CIV_IV'
	ELSE 'TXT_KEY_LEADER_CIRNO' END) 
WHERE Type = 'LEADER_CIRNO';

--Main Player
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_BM_REIMU',	'POLICY_AGGRESSIVE_X',	'POLICY_SPIRITUAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_BM_REIMU_CIV_IV'
	ELSE 'TXT_KEY_LEADER_BM_REIMU' END) 
WHERE Type = 'LEADER_BM_REIMU';

--Sukusuku Hakutaku 
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_KEINE',	'POLICY_MERCANTILE_X',	'POLICY_EXPANSIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_KEINE_CIV_IV'
	ELSE 'TXT_KEY_LEADER_KEINE' END) 
WHERE Type = 'LEADER_KEINE';

--Pandaimonion
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_SHINKI',	'POLICY_CREATIVE_X',	'POLICY_INDUSTRIOUS_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_SHINKI_CIV_IV'
	ELSE 'TXT_KEY_LEADER_SHINKI' END) 
WHERE Type = 'LEADER_SHINKI';

--Mabui pool:903
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_KANAKO',	'POLICY_IMPERIALISTIC_X',	'POLICY_SPIRITUAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_KANAKO_CIV_IV'
	ELSE 'TXT_KEY_LEADER_KANAKO' END) 
WHERE Type = 'LEADER_KANAKO';

--Ultimate Sunflower Creation
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_YUUKA',	'POLICY_CHARISMATIC_X',	'POLICY_PROTECTIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_YUUKA_CIV_IV'
	ELSE 'TXT_KEY_LEADER_YUUKA' END) 
WHERE Type = 'LEADER_YUUKA';

--Drink Drink Drink
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_SUIKA',	'POLICY_AGGRESSIVE_X',	'POLICY_EXPANSIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_SUIKA_CIV_IV'
	ELSE 'TXT_KEY_LEADER_SUIKA' END) 
WHERE Type = 'LEADER_SUIKA';

--Uu! Uu!
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_REMILIA',	'POLICY_PROTECTIVE_X',	'POLICY_FINANCIAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_REMILIA_CIV_IV'
	ELSE 'TXT_KEY_LEADER_REMILIA' END) 
WHERE Type = 'LEADER_REMILIA';

--Prince
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_TMIKO',	'POLICY_DIPLOMATIC_X',	'POLICY_SPIRITUAL_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_TMIKO_CIV_IV'
	ELSE 'TXT_KEY_LEADER_TMIKO' END) 
WHERE Type = 'LEADER_TMIKO';

--Unyuu
--INSERT OR REPLACE INTO Leader_SharedTraits
--            (LeaderType,				TraitOne,				TraitTwo)
--VALUES      ('LEADER_UTSUHO',	'POLICY_AGGRESSIVE_X',	'POLICY_IMPERIALISTIC_X');

--UPDATE Leaders 
--SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
--	THEN 'TXT_KEY_LEADER_UTSUHO_CIV_IV'
--	ELSE 'TXT_KEY_LEADER_UTSUHO' END) 
--WHERE Type = 'LEADER_UTSUHO';

--Fluffy Raccoon
--INSERT OR REPLACE INTO Leader_SharedTraits
--            (LeaderType,				TraitOne,				TraitTwo)
--VALUES      ('LEADER_MAMIZOU',	'POLICY_MERCANTILE_X',	'POLICY_DIPLOMATIC_X');

--UPDATE Leaders 
--SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
--	THEN 'TXT_KEY_LEADER_MAMIZOU_CIV_IV'
--	ELSE 'TXT_KEY_LEADER_MAMIZOU' END) 
--WHERE Type = 'LEADER_MAMIZOU';

--Capitali$t Kappa
--INSERT OR REPLACE INTO Leader_SharedTraits
--            (LeaderType,				TraitOne,				TraitTwo)
--VALUES      ('LEADER_NITORI',	'POLICY_MERCANTILE_X',	'POLICY_INVENTIVE_X');

--UPDATE Leaders 
--SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
--	THEN 'TXT_KEY_LEADER_NITORI_CIV_IV'
--	ELSE 'TXT_KEY_LEADER_NITORI' END) 
--WHERE Type = 'LEADER_NITORI';

--Forever 18
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_YUKARI',	'POLICY_CHARISMATIC_X',	'POLICY_INVENTIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_YUKARI_CIV_IV'
	ELSE 'TXT_KEY_LEADER_YUKARI' END) 
WHERE Type = 'LEADER_YUKARI';

--Forever Alone
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_ALICE',	'POLICY_IMPERIALISTIC_X',	'POLICY_INDUSTRIOUS_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_ALICE_CIV_IV'
	ELSE 'TXT_KEY_LEADER_ALICE' END) 
WHERE Type = 'LEADER_ALICE';

--HNNNNGGGkuna 
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_SHINMYOUMARU',	'POLICY_FINANCIAL_X',	'POLICY_CREATIVE_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_SHINMYOUMARU_CIV_IV'
	ELSE 'TXT_KEY_LEADER_SHINMYOUMARU' END) 
WHERE Type = 'LEADER_SHINMYOUMARU';

--Wachugonadu!
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,				TraitTwo)
VALUES      ('LEADER_EIKI',	'POLICY_DIPLOMATIC_X',	'POLICY_CHARISMATIC_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' ) 
	THEN 'TXT_KEY_LEADER_EIKI_CIV_IV'
	ELSE 'TXT_KEY_LEADER_EIKI' END) 
WHERE Type = 'LEADER_EIKI';
